Bug 510844 - F11 fails to install
F11 fails to install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 10:22 EDT by Vladimir Ivanovic
Modified: 2010-01-20 13:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:46:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Ivanovic 2009-07-11 10:22:05 EDT
Description of problem:
Installation of F11 using the livecd fails when the driver for a SATA disk is not found. The disk in question is controlled by a SiI 3124 PCI-X Serial ATA Controller. The installation gui reports a fatal error and returns to the beginning.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot the F11 Live CD.
2. Answer the initial questions until an error is reported
3.
  
Actual results:
Installation failure; the gui reports and error and restarts the installation process.


Expected results:
Continued execution of the installation process.


Additional info:
The workaround is to disconnect the SATA disk. Of course, if this is your boot disk, you're completely hosed.

Here's output from 'lshw':

product: SiI 3124 PCI-X Serial ATA Controller [1095:3124]
vendor: Silicon Image, Inc. [1095]
bus info: pci@0000:00:09.0
logical name: scsi6
version: 01
width: 64 bits
clock: 66MHz
capabilities:
	storage,
	Power Management,
	PCI-X,
	Message Signalled Interrupts,
	bus mastering,
	PCI capabilities listing,
	extension ROM,
	Emulated device
configuration:
	driver: sata_sil24
	latency: 32
resources:
	irq: 19
	memory: bb000000-bb00007f
	memory: ba800000-ba807fff
	ioport: 9800(size=16)
	memory: f8000000-f807ffff(prefetchable)
Comment 1 Chris Lumens 2009-07-13 09:55:28 EDT
Please attach the complete traceback to this bug report so we can see what's going on and have a chance of fixing it.  Thanks.
Comment 2 Vladimir Ivanovic 2009-07-13 11:07:23 EDT
Sorry, a traceback is no longer available. But this shouldn't be much of an impediment if a driver for the SiI 3124 *is not* included on the F11 Live CD: just include it. 

OTOH, if the driver *is* included, you have a different problem. If this is the case, then I can generate a log file by shutting down my server and booting off the Live CD. 

BTW, the disk in question *is not* the system disk (i.e. it does not contain "/" or "/boot").
Comment 3 Chris Lumens 2009-07-13 13:16:56 EDT
Often times, we find that people believe the problem to be related to something seemingly obvious, when that turns out to not be the case.  In order for us to make sure we have a good understanding of the problem (and perhaps what the true underlying cause could be), we really do need to see the traceback.  It's also not always possible for us to reproduce problems ourselves due to hardware availability, what was preexisting on the system, etc.

Note You need to log in before you can comment on or make changes to this bug.